// Exp10View.h : interface of the CExp10View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXP10VIEW_H__6E3576FC_81B1_4409_9BF5_660A91CB0B0C__INCLUDED_)
#define AFX_EXP10VIEW_H__6E3576FC_81B1_4409_9BF5_660A91CB0B0C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CExp10View : public CView
{
protected: // create from serialization only
	CExp10View();
	DECLARE_DYNCREATE(CExp10View)

// Attributes
public:
	CExp10Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExp10View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CExp10View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CExp10View)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CPoint m_ptOrigin;
	CPoint m_ptPrevPos;
};

#ifndef _DEBUG  // debug version in Exp10View.cpp
inline CExp10Doc* CExp10View::GetDocument()
   { return (CExp10Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXP10VIEW_H__6E3576FC_81B1_4409_9BF5_660A91CB0B0C__INCLUDED_)
